Package org.eclipse.m2m.atl.engine.compiler.atl2006

# Class Atl2006Compiler

java.lang.Object
org.eclipse.m2m.atl.engine.compiler.AtlDefaultCompiler
org.eclipse.m2m.atl.engine.compiler.atl2006.Atl2006Compiler

All Implemented Interfaces:
  `AtlStandaloneCompiler`

public class Atl2006Compiler extends AtlDefaultCompiler
The 2006 version of the ATL compiler.

## Constructor Summary

Constructors
Constructor
Description
`Atl2006Compiler()`

## Method Summary

Modifier and Type
Method
Description
`protected URL`
`getCodegeneratorURL()`
Returns the URL of the ATL compiler transformation; to be implemented by concrete subclass.
`protected URL`
`getSemanticAnalyzerURL()`
Returns the ATL WFR URL (whatever that may be); to be implemented by concrete subclass.

### Methods inherited from class org.eclipse.m2m.atl.engine.compiler.AtlDefaultCompiler

`compile, compile, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, compileWithProblemModel, getCompilationOutputStream, internalCompile, internalCompile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Atl2006Compiler

public Atl2006Compiler()

## Method Details

### getSemanticAnalyzerURL

protected URL getSemanticAnalyzerURL()
Description copied from class: `AtlDefaultCompiler`
Returns the ATL WFR URL (whatever that may be); to be implemented by concrete subclass.

Specified by:
  `getSemanticAnalyzerURL` in class `AtlDefaultCompiler`
Returns:
  the URL

### getCodegeneratorURL

protected URL getCodegeneratorURL()
Description copied from class: `AtlDefaultCompiler`
Returns the URL of the ATL compiler transformation; to be implemented by concrete subclass.

Specified by:
  `getCodegeneratorURL` in class `AtlDefaultCompiler`
Returns:
  the URL of the compiler itself